Bug 1414656 - [abrt] WARNING: CPU: 0 PID: 687 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x62/0x80
Summary: [abrt] WARNING: CPU: 0 PID: 687 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x62/0x80
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a9db939cb9bacea8d5a9f20dbec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 07:22 UTC by Dan Loomis
Modified: 2019-01-09 12:54 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-13 14:44:38 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (85.54 KB, text/plain)
2017-01-19 07:22 UTC, Dan Loomis
no flags Details
kernel warning patch to ppdev.c and parport/share.c (2.25 KB, patch)
2017-03-06 20:37 UTC, james
no flags Details | Diff

Description Dan Loomis 2017-01-19 07:22:43 UTC
Additional info:
reporter:       libreport-2.8.0
WARNING: CPU: 0 PID: 687 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x62/0x80
sysfs: cannot create duplicate filename '/devices/pnp0/00:04/ppdev/parport0'
Modules linked in: iTCO_wdt iTCO_vendor_support sparse_keymap mei_wdt tpm_infineon(+) ppdev intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm iwlmvm(+) irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate mac80211 intel_uncore intel_rapl_perf iwlwifi snd_hda_codec_realtek i2c_i801 snd_hda_codec_generic uvcvideo i2c_smbus cfg80211 btusb snd_hda_codec_hdmi videobuf2_vmalloc btrtl videobuf2_memops btbcm btintel videobuf2_v4l2 videobuf2_core bluetooth snd_hda_intel videodev snd_hda_codec snd_hda_core snd_hwdep rtsx_pci_ms snd_seq memstick snd_seq_device snd_pcm rfkill media joydev snd_timer snd soundcore lpc_ich wmi ie31200_edac mei_me hp_accel(+) parport_pc(+) video(+) mei tpm_tis parport shpchp lis3lv02d tpm_tis_core edac_core input_polldev hp_wireless tpm
 nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp hid_logitech_dj amdkfd amd_iommu_v2 radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crc32c_intel ttm drm e1000e uas serio_raw usb_storage rtsx_pci ptp pps_core fjes
CPU: 0 PID: 687 Comm: systemd-udevd Not tainted 4.9.3-200.fc25.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.08 03/16/2015
 ffffb45982217698 ffffffffa33f3ddd ffffb459822176e8 0000000000000000
 ffffb459822176d8 ffffffffa30a202b 0000001fc39d5000 ffff9a7cc39d5000
 ffff9a7cbcaf4a10 ffff9a7cc709e0f0 ffff9a7cc64fec00 0000000006300000
Call Trace:
 [<ffffffffa33f3ddd>] dump_stack+0x63/0x86
 [<ffffffffa30a202b>] __warn+0xcb/0xf0
 [<ffffffffa30a20af>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffa32de9df>] ? kernfs_path_from_node+0x4f/0x60
 [<ffffffffa32e21c2>] sysfs_warn_dup+0x62/0x80
 [<ffffffffa32e22a7>] sysfs_create_dir_ns+0x77/0x90
 [<ffffffffa33f671b>] kobject_add_internal+0x9b/0x320
 [<ffffffffa340057a>] ? vsnprintf+0x20a/0x500
 [<ffffffffa33f6ec5>] kobject_add+0x75/0xd0
 [<ffffffffa3546d83>] ? device_private_init+0x23/0x70
 [<ffffffffa3818c82>] ? mutex_lock+0x12/0x30
 [<ffffffffa3546f21>] device_add+0x151/0x630
 [<ffffffffa35475f0>] device_create_groups_vargs+0xe0/0xf0
 [<ffffffffc044b060>] ? dead_read+0x10/0x10 [parport]
 [<ffffffffa3547671>] device_create+0x51/0x70
 [<ffffffffa380d8a1>] ? klist_next+0x21/0xf0
 [<ffffffffc05a00b2>] pp_attach+0x32/0x40 [ppdev]
 [<ffffffffc044b077>] driver_check+0x17/0x20 [parport]
 [<ffffffffa3548217>] bus_for_each_drv+0x67/0xb0
 [<ffffffffc044b329>] attach_driver_chain+0x59/0x60 [parport]
 [<ffffffffc044b3e9>] parport_announce_port+0xb9/0x100 [parport]
 [<ffffffffc0489fbb>] parport_pc_probe_port+0x72b/0xcc0 [parport_pc]
 [<ffffffffa35462bc>] ? __dev_printk+0x3c/0x80
 [<ffffffffa35467cc>] ? _dev_info+0x6c/0x90
 [<ffffffffc048a903>] parport_pc_pnp_probe+0x143/0x1e0 [parport_pc]
 [<ffffffffc048a7c0>] ? parport_pc_pci_probe+0x270/0x270 [parport_pc]
 [<ffffffffa34c3b35>] pnp_device_probe+0x65/0xc0
 [<ffffffffa354a753>] driver_probe_device+0x223/0x430
 [<ffffffffa354aa3f>] __driver_attach+0xdf/0xf0
 [<ffffffffa354a960>] ? driver_probe_device+0x430/0x430
 [<ffffffffa354813c>] bus_for_each_dev+0x6c/0xc0
 [<ffffffffa3549e9e>] driver_attach+0x1e/0x20
 [<ffffffffa35498d0>] bus_add_driver+0x170/0x270
 [<ffffffffa354b360>] driver_register+0x60/0xe0
 [<ffffffffa34c3970>] pnp_register_driver+0x20/0x30
 [<ffffffffc04b43a3>] parport_pc_init+0x2c6/0xf23 [parport_pc]
 [<ffffffffc04b40dd>] ? parport_parse_param.constprop.14+0xdd/0xdd [parport_pc]
 [<ffffffffa3002190>] do_one_initcall+0x50/0x180
 [<ffffffffa322f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
 [<ffffffffa31c017a>] ? do_init_module+0x27/0x1ef
 [<ffffffffa31c01b2>] do_init_module+0x5f/0x1ef
 [<ffffffffa312fe01>] load_module+0x25b1/0x2980
 [<ffffffffa312c6e0>] ? __symbol_put+0x60/0x60
 [<ffffffffa3130343>] SYSC_init_module+0x173/0x190
 [<ffffffffa313047e>] SyS_init_module+0xe/0x10
 [<ffffffffa3003c17>] do_syscall_64+0x67/0x180
 [<ffffffffa381bcab>] entry_SYSCALL64_slow_path+0x25/0x25

Comment 1 Dan Loomis 2017-01-19 07:22:58 UTC
Created attachment 1242386 [details]
File: dmesg

Comment 2 David Tonhofer 2017-01-28 22:12:21 UTC
Getting this on my trusty Fedora 24 since Jan 24 (so some upgrade prior to this introduced a problem) during boot,

Not otherwise a problem (I think)

In the kernel log:

parport_pc 00:08: reported by Plug and Play ACPI
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE,EPP]
md: raid1 personality registered for level 1
acpi_cpufreq: P-state transition latency capped at 20 uS
md/raid1:md127: active with 2 out of 2 mirrors
created bitmap (8 pages) for device md127
md127: bitmap initialized from disk: read 1 pages, set 0 of 14718 bits
ppdev: user-space parallel port driver
iTCO_vendor_support: vendor-support=0
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
iTCO_wdt: Found a ICH10R TCO device (Version=2, TCOBASE=0x1060)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
md127: detected capacity change from 0 to 987708260352
------------[ cut here ]------------
WARNING: CPU: 7 PID: 557 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x62/0x80
sysfs: cannot create duplicate filename '/devices/pnp0/00:08/ppdev/parport0'
Modules linked in: irqbypass iTCO_wdt iTCO_vendor_support intel_cstate ppdev intel_uncore tpm_infineon(+) acpi_cpufreq raid1 i2c_i801 i2c_smbus lpc_ich snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core 
CPU: 7 PID: 557 Comm: systemd-udevd Tainted: G          I     4.9.4-100.fc24.x86_64 #1
Hardware name: FUJITSU                          D2778-C1                      /D2778-C1, BIOS 6.00 R1.22.2778.C1               12/19/2011
 ffffaeca044f7698 ffffffff903f3ddd ffffaeca044f76e8 0000000000000000
 ffffaeca044f76d8 ffffffff900a202b 0000001fff55b000 ffff9930ff55b000
 ffff9930fe9f8730 ffff9931024e9f78 ffff9930fe900400 0000000006300000
Call Trace:
 [<ffffffff903f3ddd>] dump_stack+0x63/0x86
 [<ffffffff900a202b>] __warn+0xcb/0xf0
 [<ffffffff900a20af>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffff902de9df>] ? kernfs_path_from_node+0x4f/0x60
 [<ffffffff902e21c2>] sysfs_warn_dup+0x62/0x80
 [<ffffffff902e22a7>] sysfs_create_dir_ns+0x77/0x90
 [<ffffffff903f671b>] kobject_add_internal+0x9b/0x320
 [<ffffffff9040057a>] ? vsnprintf+0x20a/0x500
 [<ffffffff903f6ec5>] kobject_add+0x75/0xd0
 [<ffffffff90547d73>] ? device_private_init+0x23/0x70
 [<ffffffff90819ce2>] ? mutex_lock+0x12/0x30
 [<ffffffff90547f11>] device_add+0x151/0x630
 [<ffffffff905485e0>] device_create_groups_vargs+0xe0/0xf0
 [<ffffffffc0650060>] ? dead_read+0x10/0x10 [parport]
 [<ffffffff90548661>] device_create+0x51/0x70
 [<ffffffff9080e901>] ? klist_next+0x21/0xf0
 [<ffffffffc024b0b2>] pp_attach+0x32/0x40 [ppdev]
 [<ffffffffc0650077>] driver_check+0x17/0x20 [parport]
 [<ffffffff90549207>] bus_for_each_drv+0x67/0xb0
 [<ffffffffc0650329>] attach_driver_chain+0x59/0x60 [parport]
 [<ffffffffc06503e9>] parport_announce_port+0xb9/0x100 [parport]
 [<ffffffffc0575fbb>] parport_pc_probe_port+0x72b/0xcc0 [parport_pc]
 [<ffffffff905472ac>] ? __dev_printk+0x3c/0x80
 [<ffffffff905477bc>] ? _dev_info+0x6c/0x90
 [<ffffffffc0576903>] parport_pc_pnp_probe+0x143/0x1e0 [parport_pc]
 [<ffffffffc05767c0>] ? parport_pc_pci_probe+0x270/0x270 [parport_pc]
 [<ffffffff904c4b15>] pnp_device_probe+0x65/0xc0
 [<ffffffff9054b743>] driver_probe_device+0x223/0x430
 [<ffffffff9054ba2f>] __driver_attach+0xdf/0xf0
 [<ffffffff9054b950>] ? driver_probe_device+0x430/0x430
 [<ffffffff9054912c>] bus_for_each_dev+0x6c/0xc0
 [<ffffffff9054ae8e>] driver_attach+0x1e/0x20
 [<ffffffff9054a8c0>] bus_add_driver+0x170/0x270
 [<ffffffff9054c350>] driver_register+0x60/0xe0
 [<ffffffff904c4950>] pnp_register_driver+0x20/0x30
 [<ffffffffc057d3a3>] parport_pc_init+0x2c6/0xf23 [parport_pc]
 [<ffffffffc057d0dd>] ? parport_parse_param.constprop.14+0xdd/0xdd [parport_pc]
 [<ffffffff90002190>] do_one_initcall+0x50/0x180
 [<ffffffff9022f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
 [<ffffffff901c017a>] ? do_init_module+0x27/0x1ef
 [<ffffffff901c01b2>] do_init_module+0x5f/0x1ef
 [<ffffffff9012fe01>] load_module+0x25b1/0x2980
 [<ffffffff9012c6e0>] ? __symbol_put+0x60/0x60
 [<ffffffff90130343>] SYSC_init_module+0x173/0x190
 [<ffffffff9013047e>] SyS_init_module+0xe/0x10
 [<ffffffff90003c17>] do_syscall_64+0x67/0x180
 [<ffffffff9081cd2b>] entry_SYSCALL64_slow_path+0x25/0x25
---[ end trace 64ac09bf34fc473d ]---
------------[ cut here ]------------
WARNING: CPU: 7 PID: 557 at lib/kobject.c:240 kobject_add_internal+0x2b6/0x320
kobject_add_internal failed for parport0 with -EEXIST, don't try to register things with the same name in the same directory.
Modules linked in: irqbypass iTCO_wdt iTCO_vendor_support intel_cstate ppdev intel_uncore tpm_infineon(+) acpi_cpufreq raid1 i2c_i801 i2c_smbus lpc_ich snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core 
CPU: 7 PID: 557 Comm: systemd-udevd Tainted: G        W I     4.9.4-100.fc24.x86_64 #1
Hardware name: FUJITSU                          D2778-C1                      /D2778-C1, BIOS 6.00 R1.22.2778.C1               12/19/2011
 ffffaeca044f76e8 ffffffff903f3ddd ffffaeca044f7738 0000000000000000
 ffffaeca044f7728 ffffffff900a202b 000000f0044f7750 ffff9930fe900410
 0000000000000000 ffff993102ac90c0 00000000ffffffef 0000000006300000
Call Trace:
 [<ffffffff903f3ddd>] dump_stack+0x63/0x86
 [<ffffffff900a202b>] __warn+0xcb/0xf0
 [<ffffffff900a20af>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffff902e21ca>] ? sysfs_warn_dup+0x6a/0x80
 [<ffffffff903f6936>] kobject_add_internal+0x2b6/0x320
 [<ffffffff9040057a>] ? vsnprintf+0x20a/0x500
 [<ffffffff903f6ec5>] kobject_add+0x75/0xd0
 [<ffffffff90547d73>] ? device_private_init+0x23/0x70
 [<ffffffff90819ce2>] ? mutex_lock+0x12/0x30
 [<ffffffff90547f11>] device_add+0x151/0x630
 [<ffffffff905485e0>] device_create_groups_vargs+0xe0/0xf0
 [<ffffffffc0650060>] ? dead_read+0x10/0x10 [parport]
 [<ffffffff90548661>] device_create+0x51/0x70
 [<ffffffff9080e901>] ? klist_next+0x21/0xf0
 [<ffffffffc024b0b2>] pp_attach+0x32/0x40 [ppdev]
 [<ffffffffc0650077>] driver_check+0x17/0x20 [parport]
 [<ffffffff90549207>] bus_for_each_drv+0x67/0xb0
 [<ffffffffc0650329>] attach_driver_chain+0x59/0x60 [parport]
 [<ffffffffc06503e9>] parport_announce_port+0xb9/0x100 [parport]
 [<ffffffffc0575fbb>] parport_pc_probe_port+0x72b/0xcc0 [parport_pc]
 [<ffffffff905472ac>] ? __dev_printk+0x3c/0x80
 [<ffffffff905477bc>] ? _dev_info+0x6c/0x90
 [<ffffffffc0576903>] parport_pc_pnp_probe+0x143/0x1e0 [parport_pc]
 [<ffffffffc05767c0>] ? parport_pc_pci_probe+0x270/0x270 [parport_pc]
 [<ffffffff904c4b15>] pnp_device_probe+0x65/0xc0
 [<ffffffff9054b743>] driver_probe_device+0x223/0x430
 [<ffffffff9054ba2f>] __driver_attach+0xdf/0xf0
 [<ffffffff9054b950>] ? driver_probe_device+0x430/0x430
 [<ffffffff9054912c>] bus_for_each_dev+0x6c/0xc0
 [<ffffffff9054ae8e>] driver_attach+0x1e/0x20
 [<ffffffff9054a8c0>] bus_add_driver+0x170/0x270
 [<ffffffff9054c350>] driver_register+0x60/0xe0
 [<ffffffff904c4950>] pnp_register_driver+0x20/0x30
 [<ffffffffc057d3a3>] parport_pc_init+0x2c6/0xf23 [parport_pc]
 [<ffffffffc057d0dd>] ? parport_parse_param.constprop.14+0xdd/0xdd [parport_pc]
 [<ffffffff90002190>] do_one_initcall+0x50/0x180
 [<ffffffff9022f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
 [<ffffffff901c017a>] ? do_init_module+0x27/0x1ef
 [<ffffffff901c01b2>] do_init_module+0x5f/0x1ef
 [<ffffffff9012fe01>] load_module+0x25b1/0x2980
 [<ffffffff9012c6e0>] ? __symbol_put+0x60/0x60
 [<ffffffff90130343>] SYSC_init_module+0x173/0x190
 [<ffffffff9013047e>] SyS_init_module+0xe/0x10
 [<ffffffff90003c17>] do_syscall_64+0x67/0x180
 [<ffffffff9081cd2b>] entry_SYSCALL64_slow_path+0x25/0x25
---[ end trace 64ac09bf34fc473e ]---

Comment 3 Aurelien Jarno 2017-02-18 11:40:15 UTC
The bug is fixed with the commit dd5c472a60e43549d789a17a8444513eec64bd7e in the upstream kernel.

Comment 4 David Tonhofer 2017-02-18 11:43:20 UTC
Thanks Aurelien

Comment 5 Mikhail 2017-02-26 07:47:09 UTC
$ uname -r
4.9.12-200.fc25.x86_64+debug

still observed this problem with latest debug kernel

Comment 6 james 2017-02-28 06:21:52 UTC
Same error seen with Arch Linux kernels, since 4.9-1, and into 4.10.1-1, on an Asustek P5W DH Deluxe, Intel Core2.

Clearly, the referenced commit does not fix the problem, which persists:

commit dd5c472a60e43549d789a17a8444513eec64bd7e
Author: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Date:   Sat Nov 12 21:22:12 2016 +0000

    ppdev: check before attaching port

Comment 7 james 2017-03-06 20:34:59 UTC
Sudip has provided a patch for the kernel warning, and this will be applied to both 4.10 and 4.9 LTS.
For anyone who cannot wait, the patch is attached.

Comment 8 james 2017-03-06 20:37:57 UTC
Created attachment 1260561 [details]
kernel warning patch to ppdev.c and parport/share.c

Comment 9 james 2017-03-12 19:00:24 UTC
The patch did not go into 4.10.2 or 4.9.14.

Comment 10 james 2017-03-24 14:50:52 UTC
GKH has added the patch set to his "char-misc git tree which can be found at
git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/char-misc.git
in the char-misc-linus branch."

Comment 11 james 2017-04-06 14:11:13 UTC
The parport and ppdev printing patches have been applied at linux 4.10.7. The parport patch has been applied at 4.9.19, but the ppdev patch for 4.9.19 needed modification to accomodate changes in ppdev.c, and still waits. GKH has also applied the parport patch to 4.4.58, though I don't know how that works without also applying the ppdev.c patch there.

Comment 12 Justin M. Forbes 2017-04-11 14:48:31 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 13 james 2017-04-13 14:36:02 UTC
The ppdev patch has now been applied in 4.9.22.  This issue has been fixed upstream, from 4.10.7 and from 4.9.22.


Note You need to log in before you can comment on or make changes to this bug.